
package com.tmerclub.cloud.api.order.constant;


/**
 * 流量筛选的时间类型
 * @author YXF
 * @date 2021-05-21
 */
public enum TimeTypeEnum {
    /** 日*/
    DAY(1, 1),
    /** 周 */
    WEEK(2, 1),
    /** 月 */
    MONTH(3, 1),
    /** 今日实时 */
    REAL_TIME(4, 1),
    /** 近七天 */
    NEARLY_WEEK(5, 7),
    /** 近30天 */
    NEARLY_MONTH(6, 30),
    /** 自定义 */
    CUSTOM(7, 0);

    private final Integer id;

    private final Integer num;

    public Integer value() {
        return id;
    }

    public Integer getNum() {
        return num;
    }

    TimeTypeEnum(Integer id, Integer num) {
        this.id = id;
        this.num = num;
    }

    public static TimeTypeEnum instance(Integer value) {
        TimeTypeEnum[] enums = values();
        for (TimeTypeEnum statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return DAY;
    }

    public static TimeTypeEnum[] allEnum() {
        return values();
    }
}
